#! /bin/bash

# Load all pieces of the queue_log file if it was broken
# up by a rotation
#
# $Id: loadAllQueueLogFiles.sh,v 1.2 2010/08/05 09:13:04 lenz-mobile Exp $
#
# Usage:
# ./loadAllQueueLogFiles.sh 
#
# ATTENTION  ATTENTION  ATTENTION  ATTENTION  ATTENTION  ATTENTION  
# If this file does not seem to work from the shell, do a 
#        dos2unix loadAllQueueLogFiles.sh
# to set things right.
# ATTENTION  ATTENTION  ATTENTION  ATTENTION  ATTENTION  ATTENTION  
#

# Custom configuration
if [ -f /etc/sysconfig/qloaderd ]; then
        . /etc/sysconfig/qloaderd
fi

qloader=/usr/local/qloader/qloader.pl

partition=${PARTITION-P001}
queuelog=${QUEUELOG-/var/log/asterisk/queue_log}
logfile=${LOGFILE-/var/log/asterisk/qloaderd.log}
lockfile=${LOCKFILE-/var/lock/subsys/qloaderd}
pidfile=${PIDFILE-/var/run/qloaderd.pid}

mh=${MYSQLHOST-localhost}
md=${MYSQLDB-queuemetrics}
mu=${MYSQLUSER-queuemetrics}
mp=${MYSQLPASS-javadude}



find /var/log/asterisk -type f -name "queue_log*"  -print \
| xargs -I file -- \
/usr/local/qloader/queuePartialUpdater.pl \
-h $mh -d $md -u $mu -p $mp  \
file $partition $logfile


# -----------------------------------------------------
# $Log: loadAllQueueLogFiles.sh,v $
# Revision 1.2  2010/08/05 09:13:04  lenz-mobile
# Updated comments
#
# Revision 1.1  2010/08/05 09:07:15  lenz-mobile
# Improved queuePartialUpdater and added easy script.
#
#
